export declare const pseudoelements: {
  after: boolean;
  before: boolean;
  placeholder: boolean;
  selection: boolean;
};
export declare const pseudoclasses: {
  active: boolean;
  checked: boolean;
  disabled: boolean;
  empty: boolean;
  enabled: boolean;
  focus: boolean;
  hover: boolean;
  invalid: boolean;
  link: boolean;
  required: boolean;
  target: boolean;
  valid: boolean;
};
interface StyleObj {
  styles: string;
  mediaQuery?: string;
  pseudoclass?: string;
  pseudoelement?: string;
}
export interface StyleKeyObj {
  stylesByKey: Record<string, StyleObj>;
  classNameKey: string;
  /** An object of stringified keyframe styles keyed by animation name */
  animations?: Record<string, string>;
}
export declare function getStyleKeysForProps(
  props: Record<string, any> & {
    mediaQueries?: Record<string, string>;
  },
  pretty?: boolean
): StyleKeyObj | null;
export {};
//# sourceMappingURL=getStyleKeysForProps.d.ts.map
